View Issue Details

IDProjectCategoryView StatusLast Update
0018429CentOS-7python-s3transferpublic2022-07-01 08:09
Reporteroliparcol Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Summary0018429: awscli-1.14.28 crashes after updating python-s3transfer to 0.1.13
Description`awscli` relies on the `botocore` package bundled by `python-s3transfer`. After updating `python-s3transfer` to latest version (`0.1.13-1.el7_9.2`), vendored `botocore` version is updated to `1.23.46` which is incompatible with latest `awscli` version (`1.14.28`).

Error is:
```
$ aws
Traceback (most recent call last):
  File "/bin/aws", line 19, in <module>
    import awscli.clidriver
  File "/usr/lib/python2.7/site-packages/awscli/clidriver.py", line 37, in <module>
    from awscli.help import ProviderHelpCommand
  File "/usr/lib/python2.7/site-packages/awscli/help.py", line 24, in <module>
    from botocore.docs.bcdoc import docevents
ImportError: cannot import name docevents
```

awscli should be updated to the same version as bundled botocore

See related github issue: https://github.com/boto/boto3/issues/2596
Steps To Reproduce* Install latest version of awscli and python-s3transfer
* Launch /bin/aws
TagsNo tags attached.
abrt_hash
URL

Activities

DoubleBytez13

DoubleBytez13

2022-04-11 16:28

reporter   ~0038896

Also having this issue. Using a new CentOS 7 AMI, I install the AWS CLI and it is broken as soon as it is installed. This is a problem with the `awscli` package requiring a different version of `python-s3transfer`.

Steps to reproduce:
1) Launch new EC2 instance using `ami-00e87074e52e6c9f9`
2) `yum install awscli`
3) `aws --version`

Result:
```
$ aws --version
Traceback (most recent call last):
  File "/bin/aws", line 19, in <module>
    import awscli.clidriver
  File "/usr/lib/python2.7/site-packages/awscli/clidriver.py", line 37, in <module>
    from awscli.help import ProviderHelpCommand
  File "/usr/lib/python2.7/site-packages/awscli/help.py", line 24, in <module>
    from botocore.docs.bcdoc import docevents
ImportError: cannot import name docevents
```
aral.kaymaz

aral.kaymaz

2022-04-12 13:24

reporter   ~0038897

We can also confirm that this is an issue.

We install python-boto and python-boto3 to use with ansible, and currently our ansible playbooks are failing.

Broken version: python-s3transfer-0.1.13-1.el7_9.2.noarch -- updates repo
Working version: python-s3transfer-0.1.13-1.el7.0.1.noarch -- base repo

Broken version of s3transfer contains botocore 1.23.46
Broken version of s3transfer contains botocore 1.8.35

For reference: latest py2 installation of pip 20.3.4 installs botocore 1.20.112. The new s3transfer bundled version does not work with py2.
TrevorH

TrevorH

2022-04-12 13:35

manager   ~0038898

Could someone test this on RHEL of the same version and check if this is a RHEL: bug or a CentOS one?
arrfab

arrfab

2022-04-12 14:32

administrator   ~0038899

upstream BZ : https://bugzilla.redhat.com/show_bug.cgi?id=2074578
TrevorH

TrevorH

2022-04-12 14:37

manager   ~0038900

Tested on RHEL and fails there too so this is an upstream bug. In addition to the bz raised by arrfab there are also https://bugzilla.redhat.com/show_bug.cgi?id=2073168 https://bugzilla.redhat.com/show_bug.cgi?id=2072990 which both report other problems after this update.

It seems safe to assume that this update is broken and you should all yum downgrade to the old version while someone from RH scratches their head and works out what they did wrong!
oliparcol

oliparcol

2022-07-01 07:58

reporter   ~0038954

Hello, this issue has been resolved by https://access.redhat.com/errata/RHBA-2022:5228

Issue History

Date Modified Username Field Change
2022-04-07 14:37 oliparcol New Issue
2022-04-11 16:28 DoubleBytez13 Note Added: 0038896
2022-04-12 13:24 aral.kaymaz Note Added: 0038897
2022-04-12 13:35 TrevorH Note Added: 0038898
2022-04-12 14:32 arrfab Note Added: 0038899
2022-04-12 14:37 TrevorH Note Added: 0038900
2022-07-01 07:58 oliparcol Note Added: 0038954
2022-07-01 08:09 ManuelWolfshant Status new => closed
2022-07-01 08:09 ManuelWolfshant Resolution open => fixed